#include "partition.h"
#include<bits/stdc++.h>
#define ll long long
#define vi vector<int>
#define pb push_back
#define pii pair<int,int>
#define ff first
#define ss second
#define fr(i,ii,iii) for(int i=ii;i<iii;i++)
using namespace std;
std::vector<int> solve(std::vector<int> A) {
	vi ans;
	fr(i,0,A.size()/2)ans.pb(i);
	ans.pb(A.size()-1);
	fr(i,A.size()/2,A.size()-1)ans.pb(i);
	return ans;
}
/*
int main () {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t;
    cin >> t ;
    for (int test=1; test<=t; test++) {
        int n;
        cin >> n ;
        vector <int> a(n);
        for (int i=0; i<n; i++) {
            cin >> a[i] ;
        }

        for (auto ind : solve(a)) {
            cout << ind << " ";
        }
        cout << endl ;
    }
    cout << endl ;
    return 0;
}
*/